Automette docs

Read a document

POST
/api/v1/documents/read

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/read" \  -H "Content-Type: application/json" \  -d '{    "file": {      "name": "invoice.pdf",      "url": "https://example.com/invoice.pdf"    }  }'
{  "type": "string",  "pageCount": 0,  "pages": [    {}  ],  "sheets": [    {}  ],  "text": "string",  "credits_used": 0}